PHP Manual
Prev |  | Next

# dbplus_rsecindex

(4.1.0 - 4.2.3 only, PECL)

dbplus_rsecindex -- Create a new secondary index for a relation

## Description

mixed dbplus_rsecindex ( resource relation, mixed domlist, int type )

dbplus_rsecindex() will create a new secondary index for `relation` with consists of the domains specified by `domlist` and is of type `type`

## Parameters

`relation`

  A relation opened by dbplus_open().

`domlist`

  A combination of domains. May be passed as a single domain name string or as an array of domain names.

`type`

## Return Values

Returns resource on success or `DBPLUS_ERR_UNKNOWN` on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Prev | Home | Next
dbplus_rrename | Up | dbplus_runlink